datacache <- new.env(hash=TRUE, parent=emptyenv())

hta20sttranscriptcluster <- function() showQCData("hta20sttranscriptcluster", datacache)
hta20sttranscriptcluster_dbconn <- function() dbconn(datacache)
hta20sttranscriptcluster_dbfile <- function() dbfile(datacache)
hta20sttranscriptcluster_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
hta20sttranscriptcluster_dbInfo <- function() dbInfo(datacache)

hta20sttranscriptclusterORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "hta20sttranscriptcluster.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)

    ## Create the OrgDb object
    sPkgname <- sub(".db$","",pkgname)
    txdb <- loadDb(system.file("extdata", paste(sPkgname,
      ".sqlite",sep=""), package=pkgname, lib.loc=libname),
                   packageName=pkgname)    
    dbNewname <- AnnotationDbi:::dbObjectName(pkgname,"ChipDb")
    ns <- asNamespace(pkgname)
    assign(dbNewname, txdb, envir=ns)
    namespaceExport(ns, dbNewname)
        
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("HUMANCHIP_DB", "hta20sttranscriptcluster", "chip hta20sttranscriptcluster", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
    packageStartupMessage(AnnotationDbi:::annoStartupMessages("hta20sttranscriptcluster.db"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(hta20sttranscriptcluster_dbconn())
}

